#
# Conditional build:
%bcond_without	python3	# CPython 3.x binding
#
Summary:	Tools to create anonymous, machine-friendly problem reports
Summary(pl.UTF-8):	Analizator śladów wywołań tworzonych przez GDB
Name:		satyr
Version:	0.18
Release:	2
License:	GPL v2+
Group:		Development/Tools
Source0:	https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.xz
# Source0-md5:	7a5b1538385dd31e146de771d5c894ae
Patch0:		%{name}-rpm5.patch
Patch1:		%{name}-rpm45.patch
URL:		http://fedorahosted.org/abrt/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	elfutils-devel
BuildRequires:	libtool
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-devel >= 4.5
BuildRequires:	python-devel >= 1:2.6
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# satyr-python(3) man page exists in both python packages
%define		_duplicate_files_terminate_build	0

%description
Satyr is a library that can be used to create and process
microreports. Microreports consist of structured data suitable to be
analyzed in a fully automated manner, though they do not necessarily
contain sufficient information to fix the underlying problem. The
reports are designed not to contain any potentially sensitive data to
eliminate the need for review before submission. Included is a tool
that can create microreports and perform some basic operations on
them.

%description -l pl.UTF-8
Satyr to biblioteka do tworzenia i przetwarzania mikroraportów.
Mikroraporty składają się ze strukturalnych danych nadających się do
analizy w sposób całkowicie automatyczny, ale niekoniecznie
zawierających pełne informacje do naprawienia problemu. Raporty są
zaprojektowane tak, żeby nie zawierały żadnych potencjalnie wrażliwych
danych, aby nie było potrzeby przeglądania ich przed wysłaniem. Do
pakietu jest dołączone narzędzie potrafiące tworzyć mikroraporty i
wykonywać na nich podstawowe operacje.

%package libs
Summary:	Satyr library - automatic problem management with anonymous reports
Summary(pl.UTF-8):	Biblioteka Satyr do automatycznego zarządzania problemami z anonimowymi zgłoszeniami
Group:		Libraries

%description libs
Satyr library - automatic problem management with anonymous reports.

%description libs -l pl.UTF-8
Biblioteka Satyr do automatycznego zarządzania problemami z
anonimowymi złoszeniami.

%package devel
Summary:	Header files for Satyr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Satyr
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Satyr library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Satyr.

%package -n python-satyr
Summary:	Python 2 bindings for Satyr library
Summary(pl.UTF-8):	Wiązania Pythona 2 do biblioteki Satyr
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
Requires:	python-modules

%description -n python-satyr
Python 2 bindings for Satyr library.

%description -n python-satyr -l pl.UTF-8
Wiązania Pythona 2 do biblioteki Satyr.

%package -n python3-satyr
Summary:	Python 3 bindings for Satyr library
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki Satyr
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
Requires:	python3-modules

%description -n python3-satyr
Python 3 bindings for Satyr library.

%description -n python3-satyr -l pl.UTF-8
Wiązania Pythona 3 do biblioteki Satyr.

%prep
%setup -q
%if "%{_rpmversion}" >= "5.0"
%patch0 -p1
%else
%patch1 -p1
%endif

printf '%s' '%{version}' > satyr-version

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_python3:--without-python3}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la \
	$RPM_BUILD_ROOT%{py_sitedir}/satyr/*.la


%py_postclean

%if %{with python3}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/satyr/*.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/satyr
%{_mandir}/man1/satyr.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsatyr.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libsatyr.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsatyr.so
%{_includedir}/satyr
%{_pkgconfigdir}/satyr.pc

%files -n python-satyr
%defattr(644,root,root,755)
%dir %{py_sitedir}/satyr
%{py_sitedir}/satyr/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/satyr/_satyr.so
%{_mandir}/man3/satyr-python.3*

%if %{with python3}
%files -n python3-satyr
%defattr(644,root,root,755)
%dir %{py3_sitedir}/satyr
%{py3_sitedir}/satyr/__init__.py
%attr(755,root,root) %{py3_sitedir}/satyr/_satyr3.so
%{py3_sitedir}/satyr/__pycache__
%{_mandir}/man3/satyr-python.3*
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/satyr.git;a=log;h=master

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 3920ca2
- python3 rebuild
- release 2 (by relup.sh)

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ba563f
- updated to 0.18
- removed outdated libopcodes patch

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> c1393aa
- release 2 (by relup.sh)

* Mon Apr 06 2015 Jakub Bogusz <qboosh@pld-linux.org> d075769
- updated to 0.17

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 862392d
- libunwind is not needed, elfutils suffice
- rel 2

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c3c96d2
- updated to 0.16

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> cf05cc2
- release 2 (by relup.sh)

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 60422b1
- updated to 0.15
- updated rpm5/rpm45 patches
- removed obsolete format patch
- create missing satyr-version file

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> f4a4bfe
- updated to 0.14
- added format patch (fixes build with -Werror=format-security when using recent elfutils)

* Mon Feb 03 2014 Jakub Bogusz <qboosh@pld-linux.org> e90cc04
- updated to 0.13 (note: new soname)
- updated rpm5/rpm45 patches

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> fd7a9f7
- release 4 (by relup.sh)

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> b55e47a
- release 3 (by relup.sh)

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> f2fc9de
- rebuild with binutils 2.24.51.0.1
- release 2 (by relup.sh)

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 4c5035c
- updated to 0.11

* Sun Sep 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 02dde5c
- BR: sphinx-pdg

* Sat Sep 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 8f9a4bf
- updated to 0.9
- updated rpm5/rpm45 patches
- removed obsolete format patch

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 61deac4
- updated to 0.7
- updatd rpm45/rpm5 patches

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> b6a6e0d
- added format patch (fixes build with -Werror=format-security)

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d8d8ec
- updated to 0.5
- updated rpm5/rpm45 patches

* Thu May 02 2013 Jan Rękorajski <baggins@pld-linux.org> 846a6c4
- release 3 (by relup.sh)

